Package uk.ac.starlink.task

## Class ExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - uk.ac.starlink.task.TaskException
      - - uk.ac.starlink.task.ExecutionException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ExecutionException
      extends TaskException

  Exception generated when a task does not complete correctly for some known reason.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutionException()` |
    `ExecutionException​(java.lang.String message)` |
    `ExecutionException​(java.lang.String message, int errorCode)` |
    `ExecutionException​(java.lang.String message, java.lang.Throwable cause)` |
    `ExecutionException​(java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getErrorCode()` |
    `void` | `setErrorCode​(int code)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionException

          public ExecutionException()

    - #### ExecutionException

          public ExecutionException​(java.lang.String message)

    - #### ExecutionException

          public ExecutionException​(java.lang.String message,
                                    int errorCode)

    - #### ExecutionException

          public ExecutionException​(java.lang.String message,
                                    java.lang.Throwable cause)

    - #### ExecutionException

          public ExecutionException​(java.lang.Throwable cause)

  - ### Method Detail

    - #### setErrorCode

          public void setErrorCode​(int code)

    - #### getErrorCode

          public int getErrorCode()